//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_JPGSUBFILE_H
#define LOTRO_DAT_LIBRARY_JPGSUBFILE_H


#include "../SubFile.h"

namespace LOTRO_DAT {
    class JpgSubFile : public SubFile {
    public:
        JpgSubFile() = delete;
        explicit JpgSubFile(const JpgSubFile &other) = delete;
        JpgSubFile &operator =(const JpgSubFile &other) = delete;

        explicit JpgSubFile(SubFile preinit_file);


        FILE_TYPE FileType() const override;

        std::string Extension() const override;

        SubfileData PrepareForExport(const BinaryData &file_data) override;

        BinaryData MakeForImport(const BinaryData &old_data, const SubfileData &data) override;
    };
};



#endif //LOTRO_DAT_LIBRARY_JPGSUBFILE_H
